Get webhook history
Retrieve ascending immutable versions of a webhook.
Required permissions: notification_endpoint:read.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
notification_endpoint_id
The ID of the webhook endpoint.
Headers
X-Penny-As-Business
Act on behalf of another business that has granted you access. Requires the business:act_as permission.
Query parameters
reveal_sensitive
Whether to include unmasked sensitive fields in the response. Defaults to false.
page_size
Maximum number of results to return per page. Defaults to 100.
next_page_token
Pagination key used to retrieve the next page of results.
Response
The webhook's version history.
items
The list of items returned by the API.
count
The total number of items returned in this response.
next_page_token
A token for retrieving the next page of results, if applicable.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error